Name:           python-pecan
Version:        1.3.2
Release:        5
Summary:        Lean WSGI object dispatching web framework

License:        BSD
URL:            http://github.com/pecan/pecan
Source0:        https://github.com/pecan/pecan/archive/1.3.2.tar.gz
BuildArch:      noarch

%description
A WSGI object-dispatching web framework.

%package -n python2-pecan
Summary:        Lean WSGI object dispatching web framework
%{?python_provide:%python_provide python2-pecan}
Provides:       python-pecan = %{version}-%{release}
Obsoletes:      python-pecan < 1.0.2-2

BuildRequires:  python2-devel python2-setuptools

Requires:       python2-webob python2-simplegeneric python2-mako python2-singledispatch
Requires:       python2-webtest python2-setuptools python2-logutils python2-six

%description -n python2-pecan
A WSGI object-dispatching web framework.
%package -n python3-pecan
Summary:        Lean WSGI object dispatching web framework
%{?python_provide:%python_provide python3-pecan}

BuildRequires:  python3-devel python3-setuptools

Requires:       python3-webob python3-simplegeneric python3-mako python3-singledispatch
Requires:       python3-webtest python3-setuptools python3-logutils python3-six

%description -n python3-pecan
A WSGI object-dispatching web framework.

%prep
%autosetup -n pecan-%{version} -p1
rm -rf pecan.egg-info

%build
%{__python2} setup.py build

%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pecan %{buildroot}%{_bindir}/pecan-%{python3_version}
ln -s pecan-%{python3_version} %{buildroot}%{_bindir}/pecan-3
mv %{buildroot}%{_bindir}/gunicorn_pecan %{buildroot}%{_bindir}/gunicorn_pecan-%{python3_version}
ln -s gunicorn_pecan-%{python3_version} %{buildroot}%{_bindir}/gunicorn_pecan-3

%{__python2} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pecan %{buildroot}%{_bindir}/pecan-%{python2_version}
ln -s pecan-%{python2_version} %{buildroot}%{_bindir}/pecan-2
ln -s pecan-%{python2_version} %{buildroot}%{_bindir}/pecan
mv %{buildroot}%{_bindir}/gunicorn_pecan %{buildroot}%{_bindir}/gunicorn_pecan-%{python2_version}
ln -s gunicorn_pecan-%{python2_version} %{buildroot}%{_bindir}/gunicorn_pecan-2
ln -s gunicorn_pecan-%{python2_version} %{buildroot}%{_bindir}/gunicorn_pecan

%files -n python2-pecan
%doc README.rst
%license LICENSE
%{_bindir}/{pecan,gunicorn_pecan,pecan-2*,gunicorn_pecan-2*}
%{python2_sitelib}/{pecan,pecan-%{version}-py?.?.egg-info}

%files -n python3-pecan
%doc README.rst
%license LICENSE
%{_bindir}/{pecan-3*,gunicorn_pecan-3*}
%{python3_sitelib}/{pecan,pecan-%{version}-py?.?.egg-info}

%changelog
* Mon Mar 4 2020 wutao <wutao61@huawei.com> - 1.3.2-5
- Package init
